Page 1 of 3 123 LastLast
Results 1 to 10 of 28

Thread: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

  1. #1

    Default Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Hi,

    As the title says....

    However, I need t run FreeCAD. Can I roll-back a day?
    I use this script nightly:
    Code:
    zypper dup --auto-agree-with-licenses
    Regards, Martin

  2. #2

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Quote Originally Posted by martinprowe View Post
    As the title says....
    The title doesn't really say much though...
    How exactly is it broken?

    However, I need t run FreeCAD. Can I roll-back a day?
    Sure, if you use btrfs and didn't disable snapshots.
    "snapper rollback" is your friend then.
    https://doc.opensuse.org/documentati...a.snapper.html

  3. #3

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    [QUOTE=wolfi323;2854220]The title doesn't really say much though...
    How exactly is it broken?


    I was not trying to fix the problem - I was hoping that others (more qualified than I) would be on the problem soon?
    But as you ask..

    Log from 20180203...
    Code:
    .....
    Log:    /usr/lib64/FreeCAD/Mod/Inspection
    Log:    /usr/lib64/FreeCAD/Mod/Drawing
    Log:    /home/mprowe/bin
    Log:    /usr/local/bin
    Log:    /usr/bin
    Log:    /bin
    Log:    /opt/cross/bin
    Log:    /usr/lib/mit/sbin
    Log: Init: App::FreeCADInit.py done
    Log: Init: Creating Gui::Application and QApplication
    Log: Local server 'FreeCAD' started
    Log: X Error: BadValue (integer parameter out of range for operation) 2
      Major opcode: 53 (X_CreatePixmap)
      Resource id:  0x1e
    Log: X Error: GLXBadPbuffer 177
      Extension:    155 (Uknown extension)
      Minor opcode: 28 (Unknown request)
      Resource id:  0x0
    Log: This system does not support pbuffers
    And Log from 20180202...
    Code:
    .....
    Log:    /usr/local/bin
    Log:    /usr/bin
    Log:    /bin
    Log:    /usr/lib/mit/sbin
    Log: Init: App::FreeCADInit.py done
    Log: Init: Creating Gui::Application and QApplication
    Log: Local server 'FreeCAD' started
    Log: OpenGL version 3.0 or higher is present
    Log: Run Gui init script
    Log: Init: Running FreeCADGuiInit.py start script...
    Log: Init:   Searching modules...
    Log: Init:      Initializing /usr/lib64/FreeCAD/Mod/Sketcher... done
    Log: Init:      Initializing /usr/lib64/FreeCAD/Mod/ReverseEngineering... done
    Log: Init:      Initializing /usr/lib64/FreeCAD/Mod/Image... done
    and so on...
    Any thoughts?

    Regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  4. #4

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Quote Originally Posted by martinprowe View Post
    Any thoughts?
    Probably a Mesa problem. Your log shows a "GLXBadPbuffer" error, and Mesa is actually the only update in the latest snapshot that I would see as possibly relevant here. (and that may be very graphics card/driver specific too)

    Unfortunately there is no easy way to downgrade to the previous snapshot AFAIK.
    Except btrfs's snapshots, or a backup.

    The previous Mesa packages (17.3.3) are still on the servers currently though (just not listed in the repo metadata anymore), so you probably could download and install them manually.
    http://download.opensuse.org/tumbleweed/repo/oss/suse/

    But, you might just as well break your system completely by doing that...
    Last edited by wolfi323; 06-Feb-2018 at 07:44.

  5. #5

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Quote Originally Posted by wolfi323 View Post
    But, you might just as well break your system completely by doing that...
    Okay... I'll wait.

    Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  6. #6

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Sorry....

    One more supplementary question, if I may?

    To whom (and how) could I report this problem? Just in case no one else notices!
    Is it a Tumbleweed or Mesa or FreeCAD route?

    Regards, Martin
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  7. #7

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Quote Originally Posted by martinprowe View Post
    To whom (and how) could I report this problem? Just in case no one else notices!
    Is it a Tumbleweed or Mesa or FreeCAD route?
    I would report it to http://bugzilla.opensuse.org/ (same username/password as here), component XOrg...
    (I don't think it's a bug in FreeCAD, as that hasn't changed)
    They might refer you to Mesa upstream though.

    Btw, there is a known bug in Mesa 18 that causes crashes:
    http://bugzilla.opensuse.org/show_bug.cgi?id=1079465
    Should be fixed in the next snapshot, or you could try the testing packages mentioned in that bug report. (you'd need to delete ~/.cache/ as well, that by itself may help already for a while at least...)

    But if you use KDE/Plasma, you'd likely not even get a desktop in that case.
    Last edited by wolfi323; 07-Feb-2018 at 02:21.

  8. #8

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    PS: a Mesa update is available in Tumbleweed's Update repo meanwhile, so try to update your system (and delete ~/.cache/).

    Although, if you do use Plasma without problems, it probably won't help... (you didn't tell what desktop you use)

  9. #9

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Sorry to keep this thread open. But...

    I can confirm that FreeCAD will run on 20180206 - I built a new system and FreeCAD works.
    However, on my main workstation where I first ran into problems, although I have upgraded to 20180206 and deleted ~/.cache, FreeCAD will still not run!
    Same error log is generated that I submitted earlier.

    I have cleared my system of FreeCAD stuff (app & user settings) and reinstalled. No luck. I guess that something is hanging around that is causing me grief?

    Any thoughts or suggestions on debugging will be most welcome.

    Best regards, Martin
    KDE Plasma 5.12
    openSUSE Leap 15.1; KDE Plasma 5.12.8;

  10. #10

    Default Re: Tumbleweed upgrade from20180202 to 20180203 breaks FreeCAD....

    Quote Originally Posted by martinprowe View Post
    I have cleared my system of FreeCAD stuff (app & user settings) and reinstalled. No luck. I guess that something is hanging around that is causing me grief?
    Are the systems using the same graphics card/driver?
    If not that might explain the difference. As I wrote, it may be hardware/driver specific.

    To rule out any sort of left-over, try a fresh user account.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •